Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-2194

STS should not invoke the m2e legacy project migration assistant unless m2e 1.0 is installed.

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Complete
    • Affects Version/s: 2.8.0.RELEASE
    • Fix Version/s: 2.9.0.M1
    • Component/s: MAVEN
    • Labels:

      Description

      We implemented a migration assistant for legacy m2e projects to update them to version 1.0. However, this migration assistant should not run if m2e 1.0 is not installed.

      Either, a warning message should pop up or the functionality should silently be hidden.

        Attachments

          Activity

            People

            Assignee:
            aeisenberg Andrew Eisenberg
            Reporter:
            aeisenberg Andrew Eisenberg
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: